Subject: Re: git merge in FreeBSD

From: Eric Anholt <[email-masked]>
Date: Wed, 15 Mar 2006 08:42:57 -0800

On Wed, 2006-03-15 at 20:22 +0530, Rajkumar S wrote:
> Hi,
> 
> I get a "git-merge-recursive: not found" error when I try to do a merge in FreeBSD. Same 
> command in Linux does not give an error.
> 
> # git merge "Merging from updates" RELENG_1 RELENG_1_origin
> Trying really trivial in-index merge...
> fatal: Merge requires file-level merging
> Nope.
> /usr/local/bin/git-merge: git-merge-recursive: not found
> No merge strategy handled the merge.
> 
> I am using git version 1.2.4.gea75 in FreeBSD 6

This is probably the wrong python path in git-merge-recursive.  I've got
a fix on my laptop for this and gitk, but I haven't tried submitting it
again (I guess email was hosed, or it got lost, when I sent the first
version of it directly to Junio).

But might I also recommend ports/devel/git?  I'm keeping it pretty up to
date, and using it on a daily basis.

-- 
Eric Anholt                     [email-masked]
[email-masked]                 [email-masked]